Subject: Re: Possible vim bug
From: Brian Inglis <[email-masked]>
To: [email-masked]
Cc: Eric Connor <[email-masked]>
Date: Tue, 8 Dec 2020 06:07:48 -0700
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

On 2020-12-07 11:06, Eric Connor via Cygwin wrote:
> I have been experiencing an issue where I’m trying to format columns in vim
> using: :*%!column –t*, which had been working great.
> 
> At some point I had to update Cygwin, and (not correlating it to a possible
> update issue, until recently) found that this command has been returning
> “shell returned 127” error.
> 
> Today, I tested whether this command would work on a server (with a version
> of mlos), and found that it worked.
> 
> The version of vim on my server is considerably older than my Cygwin
> version:
> 
> Server: 7.4
> Local: 8.2
> 
> Is there a way to either back-rev vim further (if an old install repo
> existed, that would be ideal), or someone review what was updated to make
> vim not happy with the column command?
> 
> I also compared both versions of the column command, and they were the same
> on both my server *and* my local workstion...thus my conclusion that this
> seems to be a vim-related matter.
> 
> I was successful in back-reving to 8.1, simply because I had the previous
> setup file for Cygwin, but older versions are a bit more difficult to
> locate...and I'm doubtful that going back much further wouldn't cause
> damage to my current setup.

Probably little to do with vim, mostly to do with either Cygwin Setup or PATH, 
so check the below and your PATH, your PATH within vim, and your Cygwin Setup logs:

	$ uname -srvmo
	CYGWIN_NT-10.0 3.1.7(0.340/5/3) 2020-08-22 17:48 x86_64 Cygwin
	$ which column
	/usr/bin/column
	$ cygcheck -f /usr/bin/column
	util-linux-2.33.1-2
	$ cygcheck -c util-linux
	Cygwin Package Information
	Package              Version        Status
	util-linux           2.33.1-2       OK
	$ which vim
	/usr/bin/vim
	$ cygcheck -c vim
	Cygwin Package Information
	Package              Version        Status
	vim                  8.2.0486-1     OK
	$ echo $PATH
	$ vim +'echo $PATH'
	$ vim +'!which column'

	/usr/bin/column

	Press ENTER or type command to continue
	$ l /var/log/setup.log*
	/var/log/setup.log  /var/log/setup.log.full

and it may be worthwhile rerunning Cygwin Setup to install any patched or 
upgraded packages and clean up any issues.

If you see anything you don't understand, please post the above commands and 
output, plus any other commands and questionable output, and follow the problem 
reporting guidelines below (copy and trim large files if possible, and attach as 
text).

-- 
Take care. Thanks, Brian Inglis, Calgary, Alberta, Canada

This email may be disturbing to some readers as it contains
too much technical detail. Reader discretion is advised.
[Data in binary units and prefixes, physical quantities in SI.]
--
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple